Index: trunk/gsdl3/bin/script/gs3-build.bat
===================================================================
--- trunk/gsdl3/bin/script/gs3-build.bat	(revision 10782)
+++ trunk/gsdl3/bin/script/gs3-build.bat	(revision 10865)
@@ -3,5 +3,5 @@
 :: ---- Check that %GSDL3HOME% is set ----
 if not "%GSDL3HOME%" == "" goto start
-    echo You need to run gs3-setup.bat before running this file
+    echo "You need to run 'gs3-setup' in the greenstone3 directory before running this script"
     goto exit
 
@@ -19,5 +19,5 @@
 :run
 
-java -cp "%CLASSPATH%" -DGSDL3HOME="%GSDL3HOME%" -Dorg.xml.sax.driver=org.apache.xerces.parsers.SAXParser  org.greenstone.gsdl3.gs3build.Build -site %1 -collect %2
+java -cp "%CLASSPATH%" -DGSDL3HOME="%GSDL3HOME%"  -DGSDL3SRCHOME="%GSDL3SRCHOME%" -Dorg.xml.sax.driver=org.apache.xerces.parsers.SAXParser  org.greenstone.gsdl3.gs3build.Build -site %1 -collect %2
 
 :exit
Index: trunk/gsdl3/bin/script/gs3-build.sh
===================================================================
--- trunk/gsdl3/bin/script/gs3-build.sh	(revision 10782)
+++ trunk/gsdl3/bin/script/gs3-build.sh	(revision 10865)
@@ -3,10 +3,10 @@
 #check that GSDL3HOME is set
 if test -z "$GSDL3HOME" ; then
-  echo "You need to 'source gs3-setup.sh' before running this script"
+  echo "You need to 'source gs3-setup.sh' in the greenstone3 directory before running this script"
  exit;
 fi
 
 if test $# != 2; then
-  echo "Usage: gs3-build <site name> <collection name>"
+  echo "Usage: gs3-build.sh <site name> <collection name>"
   exit;
 fi
@@ -16,5 +16,5 @@
 
 # we need to stop here if the database isn't running - how can we tell??
-java -DGSDL3HOME=$GSDL3HOME -Dorg.xml.sax.driver=org.apache.xerces.parsers.SAXParser org.greenstone.gsdl3.gs3build.Build -site $sitename -collect $collectionname
+java -DGSDL3HOME=$GSDL3HOME -DGSDL3SRCHOME=$GSDL3SRCHOME -Dorg.xml.sax.driver=org.apache.xerces.parsers.SAXParser org.greenstone.gsdl3.gs3build.Build -site $sitename -collect $collectionname
 
 
Index: trunk/gsdl3/bin/script/gs3-mkcol.bat
===================================================================
--- trunk/gsdl3/bin/script/gs3-mkcol.bat	(revision 10782)
+++ trunk/gsdl3/bin/script/gs3-mkcol.bat	(revision 10865)
@@ -3,5 +3,5 @@
 :: ---- Check that %GSDL3HOME% is set ----
 if not "%GSDL3HOME%" == "" goto start
-    echo You need to cd to gsdl3 direcotyr and run gs3-setup.bat before running this file
+    echo "You need to run 'gs3-setup' in the greenstone3 directory before running this script"
     goto exit
 
@@ -19,5 +19,5 @@
 :run
 
-java -cp "%CLASSPATH%" -DGSDL3HOME="%GSDL3HOME%" -Dorg.xml.sax.driver=org.apache.xerces.parsers.SAXParser  org.greenstone.gsdl3.gs3build.Create -site %1 -collect %2
+java -cp "%CLASSPATH%" -DGSDL3HOME="%GSDL3HOME%" -DGSDL3SRCHOME="%GSDL3SRCHOME%" -Dorg.xml.sax.driver=org.apache.xerces.parsers.SAXParser  org.greenstone.gsdl3.gs3build.Create -site %1 -collect %2
 
 :exit
Index: trunk/gsdl3/bin/script/gs3-mkcol.sh
===================================================================
--- trunk/gsdl3/bin/script/gs3-mkcol.sh	(revision 10782)
+++ trunk/gsdl3/bin/script/gs3-mkcol.sh	(revision 10865)
@@ -3,5 +3,5 @@
 #check that GSDL3HOME is set
 if test -z "$GSDL3HOME" ; then
-  echo "You need to cd to your gsdl3 directory, and run 'source gs3-setup.sh' before running this script"
+  echo "You need to 'source gs3-setup.sh' in the greenstone3 directory before running this script"
  exit;
 fi
@@ -15,5 +15,5 @@
 collectionname=$2
 
-java -DGSDL3HOME=$GSDL3HOME -Dorg.xml.sax.driver=org.apache.xerces.parsers.SAXParser org.greenstone.gsdl3.gs3build.Create -site $sitename -collect $collectionname
+java -DGSDL3HOME=$GSDL3HOME -DGSDL3SRCHOME=$GSDL3SRCHOME -Dorg.xml.sax.driver=org.apache.xerces.parsers.SAXParser org.greenstone.gsdl3.gs3build.Create -site $sitename -collect $collectionname
 
 #/opt/sun-jdk-1.4.2.03/bin/java -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=y -DGSDL3HOME=$GSDL3HOME -Dorg.xml.sax.driver=org.apache.xerces.parsers.SAXParser org.greenstone.gsdl3.gs3build.Build -site $sitename -collect $collectionname