Index: /trunk/gsdl3/README.txt
===================================================================
--- /trunk/gsdl3/README.txt	(revision 10869)
+++ /trunk/gsdl3/README.txt	(revision 10870)
@@ -14,12 +14,12 @@
 do various things like compile the source code, start up the server etc.
 
-On Linux mysql seems to have trouble with spaces in paths, so it's best to install Greenstone into a path with no spaces.
+On GNU/Linux mysql seems to have trouble with spaces in paths, so it's best to install Greenstone into a path with no spaces.
 
 Installing Greenstone from a binary distribution:
 ---------------------------------------------------------
 
-Download the appropriate zip/tar file (greenstone-3.xx-linux.tar.gz/greenstone-3.xx-win32.zip/greenstone-3.xx-macOSX.tar.gz), and unzip/untar it. In the greenstone3 directory, edit the build.properties file if appropriate (see 'Configuring your installation' below), and run 'ant install'.
-
-Installing Greenstone from a CVS checkout (Linux/Windows/MacOS X):
+Download the appropriate zip/tar file (greenstone-3.xx-linux.tar.gz/greenstone-3.xx-win32.zip/greenstone-3.xx-macOSX.tar.gz), and unzip/untar it. In the greenstone3 directory, edit the build.properties file (see 'Configuring your installation' below), and run 'ant install'.
+
+Installing Greenstone from a CVS checkout (GNU/Linux, Windows, MacOS X):
 ---------------------------------------------------------------------
 
@@ -32,9 +32,7 @@
 Build and install:
 
-In the greenstone3 directory, edit the build.properties file if appropriate (see 'Configuring your installation' below), and run 'ant prepare install'. The two targets can be run separately if you like.
+In the greenstone3 directory, edit the build.properties file (see 'Configuring your installation' below), and run 'ant prepare install'. The two targets can be run separately if you like.
 
 The 'prepare' target will download additional code (using CVS and http), so you need to be online to run it. The 'install' target can be run offline.
-
-Mac OS X: If you want to do Greenstone 2 style collection building, you need to have GDBM installed (http://www.gnu.org/software/gdbm/gdbm.html). Please set the gdbm.installed.path property (in build.properties) to the root of your gdbm installation if it is not installed in a default place. If you run GLI or GS2 collection building from the command line, you will need to set the DYLD_LIBRARY_PATH environment variable to include <path-to-gdbm>/lib.
 
 Configuring your installation:
@@ -50,4 +48,5 @@
 
 Greenstone 3 uses some parts of Greenstone 2 for collection building using the Librarian Interface. These will be installed during the Greenstone 3 installation process. If you have Greenstone 2 already installed and want to use that version instead, please set the gsdl2.installed.path property (in build.properties) to be the root of your Greenstone 2 installation. Greenstone 3 will then use this installation rather than its own bits. (Note, be careful about compatibility between versions.) If you are using Greenstone 3 from CVS, and don't want to download the Greenstone 2 stuff, set the gsdl2.installed.path to any non-empty string.
+Mac OS X: You need to have GDBM installed (http://www.gnu.org/software/gdbm/gdbm.html). Please set the gdbm.installed.path property (in build.properties) to the root of your gdbm installation if it is not installed in a default place. If you run GLI or GS2 collection building from the command line, you will need to set the DYLD_LIBRARY_PATH environment variable to include <path-to-gdbm>/lib.
 
 The prepare/install target will ask you if you accept the properties before starting.
@@ -60,5 +59,5 @@
 ant -Dproperties.accepted=yes -logfile build.log  install (from binary dist).
 
-The compile target, under Linux, does Java and C/C++ compilation. For Windows, since Visual Studio is not a standard component, only Java compilation is carried out. Pre-compiled binaries are provided for the C/C++ components (src/packages and Greenstone 2 style building). If you have Visual Studio installed (version 6), you can run the compile-windows-c++ targets to compile the code locally. (Don't forget to setup the Visual Studio environment first, by running, e.g. C:/Program Files/Microsoft Visual Studio/VC98/Bin/VCVARS32.BAT or equivalent.)
+The compile target, under GNU/Linux and Mac OS X, does Java and C/C++ compilation. For Windows, since Visual Studio is not a standard component, only Java compilation is carried out. Pre-compiled binaries are provided for the C/C++ components (src/packages and Greenstone 2 style building). If you have Visual Studio installed (version 6), you can run the compile-windows-c++ targets to compile the code locally. (Don't forget to setup the Visual Studio environment first, by running, e.g. C:/Program Files/Microsoft Visual Studio/VC98/Bin/VCVARS32.BAT or equivalent.)
 
 Common install/update targets (for use with Greenstone out of CVS).
@@ -133,8 +132,8 @@
 
 
-Using SOAP (Linux and Windows):
+Using SOAP:
 -------------------------------
 
-Greenstone comes with Apache Axis installed as part of the Greenstone web application.  A SOAP server on localsite is deployed during installation. You should be able to see all localsite's collections through the gateway servlet.
+Greenstone comes with Apache Axis installed as part of the Greenstone web application.  A SOAP server on localsite is deployed during installation. You should be able to see all localsite's collections through the gateway servlet. (http://localhost:8080/greenstone3/gateway)
 
 To set up a SOAP server on a new site, run
@@ -159,7 +158,8 @@
 
 Note that GLI doesn't start up the Greenstone server (Tomcat/mysql) so you should run 'ant start' before previewing your collection.
+
 Greenstone 3:
 
-In the greenstone3 directory, run: 'source gs3-setup.sh' (Linux/Mac OS X) or 'gs3-setup' (windows).
+In the greenstone3 directory, run: 'source gs3-setup.sh' (GNU/Linux, Mac OS X) or 'gs3-setup' (Windows).
 To create a new collection, run 'gs3-mkcol.sh/bat <sitename> <collname>'
 Put documents in the import directory (greenstone3/web/sites/<sitename>/collect/<collname>/import), edit the collection configuration file (greenstone3/web/sites/<sitename>/collect/<collname>/etc/collectionConfig.xml), and run 'gs3-build.sh <sitename> <collname>'
@@ -173,7 +173,7 @@
 See greenstone3/docs/manual/manual.pdf for more details about the software and installation etc.
 
-Under Linux, Tomcat logs output in greenstone3/comms/jakarta/tomcat/logs/catalina.out.
-
-To prevent Tomcat showing directory listings, edit the greenstone3/comms/jakarta/tomcat/conf/web.xml file and set the value of the "listings" servlet parameter to false.
+Under GNU/Linux and Mac OS X, Tomcat logs output to logs/catalina.out in the Tomcat directory (greenstone3/packages/tomcat)
+
+To prevent Tomcat showing directory listings, edit conf/web.xml file in the Tomcat directory and set the value of the "listings" servlet parameter to false.
 
 ant can't seem to do cvs using authenticated cvs on windows:
@@ -207,10 +207,9 @@
 JNI libraries and their Java wrappers cannot go into the web app. The libraries need to be loaded by the same class loader as their wrappers. The libraries need to be in java.library.path, and I think get loaded by the system class loader.
 The wrappers need to be loaded by this too. 
-To get the native libraries loaded, the directory they are in needs to be in the PATH variable (Windows) or the LD_LIBRARY_PATH variable (linux).
 
 These JNI bits are located by default in the lib/jni directory. There are two ways to get them into Tomcat:
 A: Keep all the Greenstone stuff inside the greenstone3 directory, and just modify the environment that Tomcat runs in
 
-Set LD_LIBRARY_PATH (linux) or PATH (windows) to include the  greenstone3/lib/jni directory.
+Set LD_LIBRARY_PATH (GNU/Linux), DYLD_LIBRARY_PATH (Mac OS X) or PATH (windows) to include the  greenstone3/lib/jni directory.
 Add all the jar files in greenstone3/lib/jni directory to the CLASSPATH, then edit tomcats setclasspath.sh/bat to use the system CLASSPATH.
 (in setclasspath.bat, change 
@@ -234,6 +233,6 @@
 B: Copy the files into Tomcat installation:
 Move the greenstone3/lib/jni jar files into tomcat's shared/lib directory.
-Move the greenstone3/lib/jni library files (.so for linux, .dll for windows) into shared/classes, and set LD_LIBARARY_PATH (linux) or PATH (windows) to include this directory. 
-This has the advantage that you can use this for other webapps without modifying the Tomcat environment.
+Move the greenstone3/lib/jni library files (.so for GNU/Linux, .jnilib for Mac OS X .dll for Windows) into shared/classes, and set LD_LIBARARY_PATH (GNU/Linux), DYLD_LIBRARY_PATH (Mac OS X) or PATH (Windows) to include this directory.
+ This has the advantage that you can use this for other webapps without modifying the Tomcat environment.
 
 Once all these changes have been made, you will need to restart the Tomcat server for them to take effect.
@@ -278,5 +277,5 @@
 jakarta-tomcat-5.5.12.zip & jakarta-tomcat-5.5.12-compat.zip
 Mysql: 
-mysql-standard-4.1.15-pc-linux-gnu-i686.tar.gz (Linux, x86, glibc-2.2, static (Standard only), gcc)
+mysql-standard-4.1.15-pc-linux-gnu-i686.tar.gz (GNU/Linux, x86, glibc-2.2, static (Standard only), gcc)
 mysql-standard-4.1.15-apple-darwin7.9.0-powerpc.tar.gz (Mac OS X v10.3, without installer)
 mysql-noinstall-4.1.15-win32.zip (Windows, without installer)