Index: /trunk/gsdl3/src/packages/javagdbm/configure
===================================================================
--- /trunk/gsdl3/src/packages/javagdbm/configure	(revision 10916)
+++ /trunk/gsdl3/src/packages/javagdbm/configure	(revision 10917)
@@ -1,4 +1,4 @@
 #! /bin/sh
-# From configure.in Revision: 1.2 .
+# From configure.in Revision: 1.3 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.59.
@@ -4375,19 +4375,30 @@
 # we need to set an extended JNI path for Mac OS/Darwin, as jni.h is on
 # a non-standard Path
-echo "$as_me:$LINENO: checking for Apple MacOS X/Darwin" >&5
-echo $ECHO_N "checking for Apple MacOS X/Darwin... $ECHO_C" >&6
+# is there a better way to do this??
+echo "$as_me:$LINENO: checking for OS to set JNI options" >&5
+echo $ECHO_N "checking for OS to set JNI options... $ECHO_C" >&6
+# set defaults
+JNIINC=""
+JNISUFFIX="so"
+JNIFLAGS="-shared"
+
 if test "`(uname -s) 2> /dev/null`" = 'Darwin'; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+  echo "$as_me:$LINENO: result: Darwin" >&5
+echo "${ECHO_T}Darwin" >&6
   JNIINC="-I/System/Library/Frameworks/JavaVM.framework/Headers/ "
   JNISUFFIX="jnilib"
-  JNIFLAGS="-dynamiclib -fno-common -framework JavaVM"
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-  JNIINC=""
-  JNISUFFIX="so"
-  JNIFLAGS="-shared"
-fi
+  JNIFLAGS="-dynamiclib -fno-common -single_module -framework JavaVM"
+fi
+if test "`(uname -s) 2> /dev/null`" = 'SunOS'; then
+  echo "$as_me:$LINENO: result: Solaris" >&5
+echo "${ECHO_T}Solaris" >&6
+  JNIINC="-I\$(JAVA_HOME)/include/solaris "
+fi
+if test "`(uname -s) 2> /dev/null`" = 'Linux'; then
+  echo "$as_me:$LINENO: result: Linux" >&5
+echo "${ECHO_T}Linux" >&6
+  JNIINC="-I\$(JAVA_HOME)/include/linux "
+fi
+
 
 
Index: /trunk/gsdl3/src/packages/javagdbm/configure.in
===================================================================
--- /trunk/gsdl3/src/packages/javagdbm/configure.in	(revision 10916)
+++ /trunk/gsdl3/src/packages/javagdbm/configure.in	(revision 10917)
@@ -164,16 +164,26 @@
 # we need to set an extended JNI path for Mac OS/Darwin, as jni.h is on
 # a non-standard Path
-AC_MSG_CHECKING(for Apple MacOS X/Darwin)
+# is there a better way to do this??
+AC_MSG_CHECKING(for OS to set JNI options)
+# set defaults
+JNIINC=""
+JNISUFFIX="so"
+JNIFLAGS="-shared"
+
 if test "`(uname -s) 2> /dev/null`" = 'Darwin'; then
-  AC_MSG_RESULT(yes)
+  AC_MSG_RESULT(Darwin)
   JNIINC="-I/System/Library/Frameworks/JavaVM.framework/Headers/ "
   JNISUFFIX="jnilib"
-  JNIFLAGS="-dynamiclib -fno-common -framework JavaVM"
-else
-  AC_MSG_RESULT(no)
-  JNIINC=""
-  JNISUFFIX="so"
-  JNIFLAGS="-shared"
+  JNIFLAGS="-dynamiclib -fno-common -single_module -framework JavaVM"
 fi
+if test "`(uname -s) 2> /dev/null`" = 'SunOS'; then
+  AC_MSG_RESULT(Solaris)
+  JNIINC="-I\$(JAVA_HOME)/include/solaris "
+fi
+if test "`(uname -s) 2> /dev/null`" = 'Linux'; then
+  AC_MSG_RESULT(Linux)
+  JNIINC="-I\$(JAVA_HOME)/include/linux "
+fi
+
 AC_SUBST(JNIINC)
 AC_SUBST(JNISUFFIX)
Index: /trunk/gsdl3/src/packages/javagdbm/jni/Makefile.in
===================================================================
--- /trunk/gsdl3/src/packages/javagdbm/jni/Makefile.in	(revision 10916)
+++ /trunk/gsdl3/src/packages/javagdbm/jni/Makefile.in	(revision 10917)
@@ -23,6 +23,4 @@
 
 CC=@CC@
-JDK=@JAVA_HOME@
-INC=-I. -I$(JDK)/include -I$(JDK)/include/linux @GDBM_INCLUDE@ 
 CFLAGS=-c @CFLAGS@ $(INC) -DWRAPPER_VERSION=\"$(WRAPPER_VERSION)\" 
 #PKG=@PKG@
@@ -33,4 +31,6 @@
 JNISUFFIX=@JNISUFFIX@
 JNIINC=@JNIINC@
+INC=-I. -I$(JAVA_HOME)/include @GDBM_INCLUDE@ @JNIINC@
+
 
 # TODO: Build versioned shared libraries?
Index: /trunk/gsdl3/src/packages/mg/configure
===================================================================
--- /trunk/gsdl3/src/packages/mg/configure	(revision 10916)
+++ /trunk/gsdl3/src/packages/mg/configure	(revision 10917)
@@ -6057,19 +6057,30 @@
 # we need to set an extended JNI path for Mac OS/Darwin, as jni.h is on
 # a non-standard Path
-echo "$as_me:$LINENO: checking for Apple MacOS X/Darwin" >&5
-echo $ECHO_N "checking for Apple MacOS X/Darwin... $ECHO_C" >&6
+# is there a better way to do this??
+echo "$as_me:$LINENO: checking for OS to set JNI options" >&5
+echo $ECHO_N "checking for OS to set JNI options... $ECHO_C" >&6
+# set defaults
+JNIINC=""
+JNISUFFIX="so"
+JNIFLAGS="-shared"
+
 if test "`(uname -s) 2> /dev/null`" = 'Darwin'; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+  echo "$as_me:$LINENO: result: Darwin" >&5
+echo "${ECHO_T}Darwin" >&6
   JNIINC="-I/System/Library/Frameworks/JavaVM.framework/Headers/ "
   JNISUFFIX="jnilib"
   JNIFLAGS="-dynamiclib -fno-common -single_module -framework JavaVM"
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-  JNIINC=""
-  JNISUFFIX="so"
-  JNIFLAGS="-shared"
-fi
+fi
+if test "`(uname -s) 2> /dev/null`" = 'SunOS'; then
+  echo "$as_me:$LINENO: result: Solaris" >&5
+echo "${ECHO_T}Solaris" >&6
+  JNIINC="-I\$(JAVA_HOME)/include/solaris "
+fi
+if test "`(uname -s) 2> /dev/null`" = 'Linux'; then
+  echo "$as_me:$LINENO: result: Linux" >&5
+echo "${ECHO_T}Linux" >&6
+  JNIINC="-I\$(JAVA_HOME)/include/linux "
+fi
+
 
 
Index: /trunk/gsdl3/src/packages/mg/configure.in
===================================================================
--- /trunk/gsdl3/src/packages/mg/configure.in	(revision 10916)
+++ /trunk/gsdl3/src/packages/mg/configure.in	(revision 10917)
@@ -86,16 +86,26 @@
 # we need to set an extended JNI path for Mac OS/Darwin, as jni.h is on
 # a non-standard Path
-AC_MSG_CHECKING(for Apple MacOS X/Darwin)
+# is there a better way to do this??
+AC_MSG_CHECKING(for OS to set JNI options)
+# set defaults
+JNIINC=""
+JNISUFFIX="so"
+JNIFLAGS="-shared"
+
 if test "`(uname -s) 2> /dev/null`" = 'Darwin'; then
-  AC_MSG_RESULT(yes)
+  AC_MSG_RESULT(Darwin)
   JNIINC="-I/System/Library/Frameworks/JavaVM.framework/Headers/ "
   JNISUFFIX="jnilib"
   JNIFLAGS="-dynamiclib -fno-common -single_module -framework JavaVM"
-else
-  AC_MSG_RESULT(no)
-  JNIINC=""
-  JNISUFFIX="so"
-  JNIFLAGS="-shared"
 fi
+if test "`(uname -s) 2> /dev/null`" = 'SunOS'; then
+  AC_MSG_RESULT(Solaris)
+  JNIINC="-I\$(JAVA_HOME)/include/solaris "
+fi
+if test "`(uname -s) 2> /dev/null`" = 'Linux'; then
+  AC_MSG_RESULT(Linux)
+  JNIINC="-I\$(JAVA_HOME)/include/linux "
+fi
+
 AC_SUBST(JNIINC)
 AC_SUBST(JNISUFFIX)
Index: /trunk/gsdl3/src/packages/mg/jni/Makefile.in
===================================================================
--- /trunk/gsdl3/src/packages/mg/jni/Makefile.in	(revision 10916)
+++ /trunk/gsdl3/src/packages/mg/jni/Makefile.in	(revision 10917)
@@ -43,5 +43,5 @@
 
 # can we get rid of JAVA_HOME from here??
-INCLUDES = -I.. -I../lib -I../src/text -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux $(JNIINC)
+INCLUDES = -I.. -I../lib -I../src/text -I$(JAVA_HOME)/include $(JNIINC)
 
 all: compile link
Index: /trunk/indexers/mg/configure
===================================================================
--- /trunk/indexers/mg/configure	(revision 10916)
+++ /trunk/indexers/mg/configure	(revision 10917)
@@ -6057,19 +6057,30 @@
 # we need to set an extended JNI path for Mac OS/Darwin, as jni.h is on
 # a non-standard Path
-echo "$as_me:$LINENO: checking for Apple MacOS X/Darwin" >&5
-echo $ECHO_N "checking for Apple MacOS X/Darwin... $ECHO_C" >&6
+# is there a better way to do this??
+echo "$as_me:$LINENO: checking for OS to set JNI options" >&5
+echo $ECHO_N "checking for OS to set JNI options... $ECHO_C" >&6
+# set defaults
+JNIINC=""
+JNISUFFIX="so"
+JNIFLAGS="-shared"
+
 if test "`(uname -s) 2> /dev/null`" = 'Darwin'; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+  echo "$as_me:$LINENO: result: Darwin" >&5
+echo "${ECHO_T}Darwin" >&6
   JNIINC="-I/System/Library/Frameworks/JavaVM.framework/Headers/ "
   JNISUFFIX="jnilib"
   JNIFLAGS="-dynamiclib -fno-common -single_module -framework JavaVM"
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-  JNIINC=""
-  JNISUFFIX="so"
-  JNIFLAGS="-shared"
-fi
+fi
+if test "`(uname -s) 2> /dev/null`" = 'SunOS'; then
+  echo "$as_me:$LINENO: result: Solaris" >&5
+echo "${ECHO_T}Solaris" >&6
+  JNIINC="-I\$(JAVA_HOME)/include/solaris "
+fi
+if test "`(uname -s) 2> /dev/null`" = 'Linux'; then
+  echo "$as_me:$LINENO: result: Linux" >&5
+echo "${ECHO_T}Linux" >&6
+  JNIINC="-I\$(JAVA_HOME)/include/linux "
+fi
+
 
 
Index: /trunk/indexers/mg/configure.in
===================================================================
--- /trunk/indexers/mg/configure.in	(revision 10916)
+++ /trunk/indexers/mg/configure.in	(revision 10917)
@@ -86,16 +86,26 @@
 # we need to set an extended JNI path for Mac OS/Darwin, as jni.h is on
 # a non-standard Path
-AC_MSG_CHECKING(for Apple MacOS X/Darwin)
+# is there a better way to do this??
+AC_MSG_CHECKING(for OS to set JNI options)
+# set defaults
+JNIINC=""
+JNISUFFIX="so"
+JNIFLAGS="-shared"
+
 if test "`(uname -s) 2> /dev/null`" = 'Darwin'; then
-  AC_MSG_RESULT(yes)
+  AC_MSG_RESULT(Darwin)
   JNIINC="-I/System/Library/Frameworks/JavaVM.framework/Headers/ "
   JNISUFFIX="jnilib"
   JNIFLAGS="-dynamiclib -fno-common -single_module -framework JavaVM"
-else
-  AC_MSG_RESULT(no)
-  JNIINC=""
-  JNISUFFIX="so"
-  JNIFLAGS="-shared"
 fi
+if test "`(uname -s) 2> /dev/null`" = 'SunOS'; then
+  AC_MSG_RESULT(Solaris)
+  JNIINC="-I\$(JAVA_HOME)/include/solaris "
+fi
+if test "`(uname -s) 2> /dev/null`" = 'Linux'; then
+  AC_MSG_RESULT(Linux)
+  JNIINC="-I\$(JAVA_HOME)/include/linux "
+fi
+
 AC_SUBST(JNIINC)
 AC_SUBST(JNISUFFIX)
Index: /trunk/indexers/mg/jni/Makefile.in
===================================================================
--- /trunk/indexers/mg/jni/Makefile.in	(revision 10916)
+++ /trunk/indexers/mg/jni/Makefile.in	(revision 10917)
@@ -43,5 +43,5 @@
 
 # can we get rid of JAVA_HOME from here??
-INCLUDES = -I.. -I../lib -I../src/text -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux $(JNIINC)
+INCLUDES = -I.. -I../lib -I../src/text -I$(JAVA_HOME)/include $(JNIINC)
 
 all: compile link
Index: /trunk/indexers/mgpp/configure
===================================================================
--- /trunk/indexers/mgpp/configure	(revision 10916)
+++ /trunk/indexers/mgpp/configure	(revision 10917)
@@ -6240,22 +6240,32 @@
 
 
-
 # we need to set an extended JNI path for Mac OS/Darwin, as jni.h is on
 # a non-standard Path
-echo "$as_me:$LINENO: checking for Apple MacOS X/Darwin" >&5
-echo $ECHO_N "checking for Apple MacOS X/Darwin... $ECHO_C" >&6
+# is there a better way to do this??
+echo "$as_me:$LINENO: checking for OS to set JNI options" >&5
+echo $ECHO_N "checking for OS to set JNI options... $ECHO_C" >&6
+# set defaults
+JNIINC=""
+JNISUFFIX="so"
+JNIFLAGS="-shared"
+
 if test "`(uname -s) 2> /dev/null`" = 'Darwin'; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+  echo "$as_me:$LINENO: result: Darwin" >&5
+echo "${ECHO_T}Darwin" >&6
   JNIINC="-I/System/Library/Frameworks/JavaVM.framework/Headers/ "
   JNISUFFIX="jnilib"
-  JNIFLAGS="-dynamiclib -fno-common -framework JavaVM"
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-  JNIINC=""
-  JNISUFFIX="so"
-  JNIFLAGS="-shared"
-fi
+  JNIFLAGS="-dynamiclib -fno-common -single_module -framework JavaVM"
+fi
+if test "`(uname -s) 2> /dev/null`" = 'SunOS'; then
+  echo "$as_me:$LINENO: result: Solaris" >&5
+echo "${ECHO_T}Solaris" >&6
+  JNIINC="-I\$(JAVA_HOME)/include/solaris "
+fi
+if test "`(uname -s) 2> /dev/null`" = 'Linux'; then
+  echo "$as_me:$LINENO: result: Linux" >&5
+echo "${ECHO_T}Linux" >&6
+  JNIINC="-I\$(JAVA_HOME)/include/linux "
+fi
+
 
 
Index: /trunk/indexers/mgpp/configure.in
===================================================================
--- /trunk/indexers/mgpp/configure.in	(revision 10916)
+++ /trunk/indexers/mgpp/configure.in	(revision 10917)
@@ -81,19 +81,28 @@
 AC_CHECK_FUNC(textdomain, AC_DEFINE(ENABLE_NLS ,1) )
 
-
 # we need to set an extended JNI path for Mac OS/Darwin, as jni.h is on
 # a non-standard Path
-AC_MSG_CHECKING(for Apple MacOS X/Darwin)
+# is there a better way to do this??
+AC_MSG_CHECKING(for OS to set JNI options)
+# set defaults
+JNIINC=""
+JNISUFFIX="so"
+JNIFLAGS="-shared"
+
 if test "`(uname -s) 2> /dev/null`" = 'Darwin'; then
-  AC_MSG_RESULT(yes)
+  AC_MSG_RESULT(Darwin)
   JNIINC="-I/System/Library/Frameworks/JavaVM.framework/Headers/ "
   JNISUFFIX="jnilib"
-  JNIFLAGS="-dynamiclib -fno-common -framework JavaVM"
-else
-  AC_MSG_RESULT(no)
-  JNIINC=""
-  JNISUFFIX="so"
-  JNIFLAGS="-shared"
+  JNIFLAGS="-dynamiclib -fno-common -single_module -framework JavaVM"
 fi
+if test "`(uname -s) 2> /dev/null`" = 'SunOS'; then
+  AC_MSG_RESULT(Solaris)
+  JNIINC="-I\$(JAVA_HOME)/include/solaris "
+fi
+if test "`(uname -s) 2> /dev/null`" = 'Linux'; then
+  AC_MSG_RESULT(Linux)
+  JNIINC="-I\$(JAVA_HOME)/include/linux "
+fi
+
 AC_SUBST(JNIINC)
 AC_SUBST(JNISUFFIX)
Index: /trunk/indexers/mgpp/jni/Makefile.in
===================================================================
--- /trunk/indexers/mgpp/jni/Makefile.in	(revision 10916)
+++ /trunk/indexers/mgpp/jni/Makefile.in	(revision 10917)
@@ -46,5 +46,5 @@
 
 # can we get rid of JAVA_HOME from here??
-INCLUDES = -I.. -I../lib -I../text -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux $(JNIINC)
+INCLUDES = -I.. -I../lib -I../text -I$(JAVA_HOME)/include $(JNIINC)
 
 all: compile link
Index: /trunk/mgpp/configure
===================================================================
--- /trunk/mgpp/configure	(revision 10916)
+++ /trunk/mgpp/configure	(revision 10917)
@@ -6240,22 +6240,32 @@
 
 
-
 # we need to set an extended JNI path for Mac OS/Darwin, as jni.h is on
 # a non-standard Path
-echo "$as_me:$LINENO: checking for Apple MacOS X/Darwin" >&5
-echo $ECHO_N "checking for Apple MacOS X/Darwin... $ECHO_C" >&6
+# is there a better way to do this??
+echo "$as_me:$LINENO: checking for OS to set JNI options" >&5
+echo $ECHO_N "checking for OS to set JNI options... $ECHO_C" >&6
+# set defaults
+JNIINC=""
+JNISUFFIX="so"
+JNIFLAGS="-shared"
+
 if test "`(uname -s) 2> /dev/null`" = 'Darwin'; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+  echo "$as_me:$LINENO: result: Darwin" >&5
+echo "${ECHO_T}Darwin" >&6
   JNIINC="-I/System/Library/Frameworks/JavaVM.framework/Headers/ "
   JNISUFFIX="jnilib"
-  JNIFLAGS="-dynamiclib -fno-common -framework JavaVM"
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-  JNIINC=""
-  JNISUFFIX="so"
-  JNIFLAGS="-shared"
-fi
+  JNIFLAGS="-dynamiclib -fno-common -single_module -framework JavaVM"
+fi
+if test "`(uname -s) 2> /dev/null`" = 'SunOS'; then
+  echo "$as_me:$LINENO: result: Solaris" >&5
+echo "${ECHO_T}Solaris" >&6
+  JNIINC="-I\$(JAVA_HOME)/include/solaris "
+fi
+if test "`(uname -s) 2> /dev/null`" = 'Linux'; then
+  echo "$as_me:$LINENO: result: Linux" >&5
+echo "${ECHO_T}Linux" >&6
+  JNIINC="-I\$(JAVA_HOME)/include/linux "
+fi
+
 
 
Index: /trunk/mgpp/configure.in
===================================================================
--- /trunk/mgpp/configure.in	(revision 10916)
+++ /trunk/mgpp/configure.in	(revision 10917)
@@ -81,19 +81,28 @@
 AC_CHECK_FUNC(textdomain, AC_DEFINE(ENABLE_NLS ,1) )
 
-
 # we need to set an extended JNI path for Mac OS/Darwin, as jni.h is on
 # a non-standard Path
-AC_MSG_CHECKING(for Apple MacOS X/Darwin)
+# is there a better way to do this??
+AC_MSG_CHECKING(for OS to set JNI options)
+# set defaults
+JNIINC=""
+JNISUFFIX="so"
+JNIFLAGS="-shared"
+
 if test "`(uname -s) 2> /dev/null`" = 'Darwin'; then
-  AC_MSG_RESULT(yes)
+  AC_MSG_RESULT(Darwin)
   JNIINC="-I/System/Library/Frameworks/JavaVM.framework/Headers/ "
   JNISUFFIX="jnilib"
-  JNIFLAGS="-dynamiclib -fno-common -framework JavaVM"
-else
-  AC_MSG_RESULT(no)
-  JNIINC=""
-  JNISUFFIX="so"
-  JNIFLAGS="-shared"
+  JNIFLAGS="-dynamiclib -fno-common -single_module -framework JavaVM"
 fi
+if test "`(uname -s) 2> /dev/null`" = 'SunOS'; then
+  AC_MSG_RESULT(Solaris)
+  JNIINC="-I\$(JAVA_HOME)/include/solaris "
+fi
+if test "`(uname -s) 2> /dev/null`" = 'Linux'; then
+  AC_MSG_RESULT(Linux)
+  JNIINC="-I\$(JAVA_HOME)/include/linux "
+fi
+
 AC_SUBST(JNIINC)
 AC_SUBST(JNISUFFIX)
Index: /trunk/mgpp/jni/Makefile.in
===================================================================
--- /trunk/mgpp/jni/Makefile.in	(revision 10916)
+++ /trunk/mgpp/jni/Makefile.in	(revision 10917)
@@ -46,5 +46,5 @@
 
 # can we get rid of JAVA_HOME from here??
-INCLUDES = -I.. -I../lib -I../text -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux $(JNIINC)
+INCLUDES = -I.. -I../lib -I../text -I$(JAVA_HOME)/include $(JNIINC)
 
 all: compile link