Index: trunk/gsdl3/src/java/org/greenstone/admin/GAIManager.java
===================================================================
--- trunk/gsdl3/src/java/org/greenstone/admin/GAIManager.java	(revision 10929)
+++ trunk/gsdl3/src/java/org/greenstone/admin/GAIManager.java	(revision 10943)
@@ -34,9 +34,4 @@
 import org.greenstone.admin.gui.LogPane;
 import org.greenstone.admin.gui.ConfPane;
-
-import org.greenstone.core.Configuration;
-import org.greenstone.core.Dictionary;
-import org.greenstone.core.DebugStream;
-import org.greenstone.core.util.Utility;
 
 //import java AWT classes
@@ -121,33 +116,33 @@
 	    
 	    //set up the Configuration Pane
-	    if (Configuration.get("admin.conf", true)){
+	    if (Configuration.get("admin.conf")){
 		conf_pane = new ConfPane();
 		conf_pane.display();
 		tab_pane.addTab("Configuration", CONF_ICON, conf_pane);
-		tab_pane.setEnabledAt(tab_pane.indexOfComponent(conf_pane),Configuration.get("admin.conf", false));
+		tab_pane.setEnabledAt(tab_pane.indexOfComponent(conf_pane),Configuration.get("admin.conf"));
 	    }
 	    	    
 	    //set up the ext Pane
-	    if (Configuration.get("admin.ext", true)){
+	    if (Configuration.get("admin.ext")){
 		ext_pane = new JPanel();
 		//ext_pane.display();
 		tab_pane.addTab("Exts", EXT_ICON, ext_pane);
-		tab_pane.setEnabledAt(tab_pane.indexOfComponent(ext_pane),Configuration.get("admin.ext", false));
+		tab_pane.setEnabledAt(tab_pane.indexOfComponent(ext_pane),Configuration.get("admin.ext"));
 	    }
 	    	    
 	    //set up the Monitor Pane
-	    if (Configuration.get("admin.monitor", true)){
+	    if (Configuration.get("admin.monitor")){
 		monitor_pane = new JPanel();
 		//monitor_pane.display();
 		tab_pane.addTab("Monitor", MONITOR_ICON, monitor_pane);
-		tab_pane.setEnabledAt(tab_pane.indexOfComponent(monitor_pane),Configuration.get("admin.monitor", false));
+		tab_pane.setEnabledAt(tab_pane.indexOfComponent(monitor_pane),Configuration.get("admin.monitor"));
 	    }
 
 	    //set up the Log Pane
-	    if (Configuration.get("admin.log", true)){
+	    if (Configuration.get("admin.log")){
 		log_pane = new LogPane();
 		log_pane.display();
 		tab_pane.addTab("Log", LOG_ICON, log_pane);
-		tab_pane.setEnabledAt(tab_pane.indexOfComponent(log_pane),Configuration.get("admin.log", false));
+		tab_pane.setEnabledAt(tab_pane.indexOfComponent(log_pane),Configuration.get("admin.log"));
 	    }   
 	    content_pane.setLayout(new BorderLayout());
@@ -156,5 +151,4 @@
 	    setVisible(true);
 	} catch (Exception e){
-	    DebugStream.printStackTrace(e);
 	    e.printStackTrace();
 	    System.exit(1);
@@ -345,28 +339,28 @@
 	    if (conf_pos != -1){
 		if (ready) {
-		    tab_pane.setEnabledAt (conf_pos,Configuration.get("admin.conf", false));
+		    tab_pane.setEnabledAt (conf_pos,Configuration.get("admin.conf"));
 		} else {
-		    tab_pane.setEnabledAt (conf_pos,Configuration.get("admin.conf",true));
+		    tab_pane.setEnabledAt (conf_pos,false);
 		}
 	    }
 	    if (ext_pos != -1){
 		if (ready) {
-		    tab_pane.setEnabledAt (ext_pos,Configuration.get("admin.ext", false));
+		    tab_pane.setEnabledAt (ext_pos,Configuration.get("admin.ext"));
 		} else {
-		    tab_pane.setEnabledAt (ext_pos,Configuration.get("admin.ext",true));
+		    tab_pane.setEnabledAt (ext_pos,false);
 		}
 	    }
 	    if (monitor_pos != -1){
 		if (ready) {
-		    tab_pane.setEnabledAt (monitor_pos,Configuration.get("admin.monitor", false));
+		    tab_pane.setEnabledAt (monitor_pos,Configuration.get("admin.monitor"));
 		} else {
-		    tab_pane.setEnabledAt (monitor_pos,Configuration.get("admin.monitor",true));
+		    tab_pane.setEnabledAt (monitor_pos,false);
 		}
 	    }
 	    if (log_pos != -1){
 		if (ready) {
-		    tab_pane.setEnabledAt (log_pos,Configuration.get("admin.log", false));
+		    tab_pane.setEnabledAt (log_pos,Configuration.get("admin.log"));
 		} else {
-		    tab_pane.setEnabledAt (log_pos,Configuration.get("admin.log",true));
+		    tab_pane.setEnabledAt (log_pos,false);
 		}
 	    }